Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.ecore
Class UimaTypeSystem2Ecore

    java.lang.Object
      org.apache.uima.ecore.UimaTypeSystem2Ecore

    public class UimaTypeSystem2Ecore

extends Object

Converts a UIMA TypeSystemDescription to an Ecore model.

Constructor Summary
`UimaTypeSystem2Ecore()`

Method Summary
`static void` | `main(String[] args)` Main program.
`static void` | `uimaTypeSystem2Ecore(String aUimaTypeSystemFilePath, Resource aOutputResource, Map aOptions)` Converts a UIMA TypeSystem descriptor to an Ecore model
`static void` | `uimaTypeSystem2Ecore(TypeSystemDescription aTypeSystem, Resource aOutputResource, Map aOptions)` Converts a UIMA TypeSystemDescription to an Ecore model
`static void` | `uimaTypeSystem2Ecore(TypeSystemDescription aTypeSystem, Resource aOutputResource, Map aOptions, Map aSchemaLocationMap)` Converts a UIMA TypeSystemDescription to an Ecore model

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UimaTypeSystem2Ecore

    public UimaTypeSystem2Ecore()

Method Detail

### uimaTypeSystem2Ecore

    public static void uimaTypeSystem2Ecore(String aUimaTypeSystemFilePath,
                                            Resource aOutputResource,
                                            Map aOptions)
                                     throws InvalidXMLException,
                                            IOException

  Converts a UIMA TypeSystem descriptor to an Ecore model

  Parameters:
    `aUimaTypeSystemFilePath` - file path to UIMA TypeSystem descritpor
    `aOutputResource` - An EMF Resource to be populated with the Ecore model
    `aOptions` - a Map defining options for the conversion. Valid keys for this map are defined as constants on this class.
  Throws:
    `InvalidXMLException` - if the TypeSystem descriptor, or one of its imports, is not valid or if there are duplicate, inconsistent definitions of the same type.
    `IOException` - if an failure occur while reading the descriptor file

### uimaTypeSystem2Ecore

    public static void uimaTypeSystem2Ecore(TypeSystemDescription aTypeSystem,
                                            Resource aOutputResource,
                                            Map aOptions)
                                     throws InvalidXMLException

  Converts a UIMA TypeSystemDescription to an Ecore model

  Parameters:
    `aTypeSystem` - UIMA TypeSystemDescription object to convert
    `aOutputResource` - An EMF Resource to be populated with the Ecore model
    `aOptions` - a Map defining options for the conversion. Valid keys for this map are defined as constants on this class.
  Throws:
    `InvalidXMLException` - if the TypeSystem descriptor imports another descriptor that could not be successfully parsed, or if there are duplicate, inconsistent definitions of the same type.

### uimaTypeSystem2Ecore

    public static void uimaTypeSystem2Ecore(TypeSystemDescription aTypeSystem,
                                            Resource aOutputResource,
                                            Map aOptions,
                                            Map aSchemaLocationMap)
                                     throws InvalidXMLException

  Converts a UIMA TypeSystemDescription to an Ecore model

  Parameters:
    `aTypeSystem` - UIMA TypeSystemDescription object to convert
    `aOutputResource` - An EMF Resource to be populated with the Ecore model
    `aOptions` - a Map defining options for the conversion. Valid keys for this map are defined as constants on this class.
    `aSchemaLocationMap` - optional parameter - if non-null, this map will be populated with (Namespace URI, Schema Location) pairs, suitable for inclusion in the "schemaLocation" attribute of XMI instance documents.
  Throws:
    `InvalidXMLException`

### main

    public static void main(String[] args)
                     throws Exception

  Main program. Takes two arguments: the filename of an input TypeSystem descriptor file and the filename of the Ecore/XMI file to generate.

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 The Apache Software Foundation. All Rights Reserved.